function e = error_psnr(groundtruth,img,weight)


if all(weight == 1)
    e = 10*log10(1/mean((groundtruth(:)-img(:)).^2));
else
    groundtruth_weight = groundtruth.*weight;
    img_weight = img.*weight;

    valmean = mean(groundtruth_weight(:) - img_weight(:));
    
    e = 10*log10(1/valmean.^2);
end


end




