function e = error_ssim(groundtruth,img,weight)


if all(weight == 1)
    window = fspecial('gaussian', 11, 1.5);
    K = [0.01 0.03];
    % K = [1 3];
    [e, ssim_map] = ssim(groundtruth, img, K, window, 1);
    
else
    K = [0.01 0.03];
    window = fspecial('gaussian', 11, 1.5);
    
    groundtruth_weight = groundtruth.*weight;
    img_weight = img.*weight;
    
    [e, ssim_map] = ssim(groundtruth_weight, img_weight, K, window, 1);
end

end