function [img img_noisy] = load_image_color(name,X,Y,sgm)

switch name
    
    case '8143_owl'
        uf = im2double(imread('8143.jpg'));
    case '175043_snake_green'
        uf = im2double(imread('175043.jpg'));
    case '208001_mushroom'
        uf = im2double(imread('208001.jpg'));
    case '87065_lizard'
        uf = im2double(imread('87065.jpg'));
end

if all(X == 0) || all(Y == 0)
    u0 = uf;
else
    u0 = uf(Y,X,:);
end

randn('seed',0); % Generate results in paper
u1 = u0 + sgm/255*randn(size(u0));
u1 = round(min(max(255*u1,0),255))/255;

u1(u1 > 1) = 1;
u1(u1 < 0) = 0;

img = u0;
img_noisy = u1;
